[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.AsInteger

Get/Set parameter value as an integer (32-bit) value

## Declaration

Source position: db.pas line 1258

`public property TParam.AsInteger : LongInt read GetAsInteger write SetAsInteger;`

## Description

AsInteger will return the parameter value as a 32-bit signed integer value. If it is written, the value is set to the specified value and the data type is set to ftInteger.

## See also

TParam.AsLargeInt |  | Get/Set parameter value as a 64-bit integer value
TParam.AsSmallInt |  | Get/Set parameter value as a smallint value
TParam.AsWord |  | Get/Set parameter value as a word value
TParam.DataType |  | Data type of the parameter
TParam.Value |  | Value as a variant